package model

type FrozenSemenLog struct {
	Id            int64  `json:"id"`
	BullId        string `json:"bull_id"`
	CowId         int64  `json:"cow_id"`
	Quantity      int32  `json:"quantity"`
	StallNumberId int64  `json:"stall_number_id"`
	CreatedAt     int64  `json:"created_at"`
	UpdatedAt     int64  `json:"updated_at"`
}

func (e *FrozenSemenLog) TableName() string {
	return "frozen_semen_log"
}

func NewEventFrozenSemenLog(bullId string, cow *Cow, stallNumberId int64) *FrozenSemenLog {
	return &FrozenSemenLog{
		BullId:        bullId,
		CowId:         cow.Id,
		StallNumberId: stallNumberId,
		Quantity:      1,
	}
}
